### Method

# Ide SessionAddin restore_page_async

#### Declaration

    void
    ide_session_addin_restore_page_async (
      IdeSessionAddin* self,
      GVariant* state,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously requests that addin `self` restore a page’s session state with the provided state, previously saved by this addin using ide_session_addin_save_page_async(). This only happens when opening a project.

Available since: | 41

#### Parameters

`state` | `GVariant`
| A `GVariant` of previous state.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Callback to execute upon completion.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.